Bug 426855 - Broken Dep
Broken Dep
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-27 08:44 EST by Marian
Modified: 2009-12-11 02:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.11.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 03:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian 2007-12-27 08:44:04 EST
pitivi needs the package "python-setuptools" to run correct. Without
"python-setuptools" installed pitivi crashes at startup.
Comment 1 Alexei Podtelezhnikov 2007-12-29 14:02:26 EST
Please edit the title of your bug report to something more specific. Check out 
other bug reports to for fine examples.
Comment 2 W. Michael Petullo 2008-01-14 04:46:04 EST
Here is what I get when I try to run pitivi without python-setuptools installed:

Traceback (most recent call last):
  File "/usr/bin/pitivi", line 113, in <module>
    _run_pitivi()
  File "/usr/bin/pitivi", line 102, in _run_pitivi
    import pitivi.pitivi as pitivi
  File "/usr/share/pitivi/python/pitivi/pitivi.py", line 29, in <module>
    from ui import mainwindow
  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 49, in <module>
    from pluginmanagerdialog import PluginManagerDialog
  File "/usr/share/pitivi/python/pitivi/ui/pluginmanagerdialog.py", line 30, in
<module>
    import pitivi.pluginmanager as pluginmanager
  File "/usr/share/pitivi/python/pitivi/pluginmanager.py", line 32, in <module>
    import pkg_resources
ImportError: No module named pkg_resources
Comment 3 Fedora Update System 2008-01-15 17:54:24 EST
pitivi-0.11.1-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pitivi'
Comment 4 W. Michael Petullo 2008-02-15 05:24:50 EST
This is fixed in pitivi-0.11.1-2.  Marian, can you confirm this and close this bug?
Comment 5 Fedora Update System 2008-07-23 03:05:38 EDT
pitivi-0.11.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Martin Jürgens 2009-11-29 17:06:21 EST
reappears in fedora 12
Comment 7 Antonello Piemonte 2009-12-11 02:19:34 EST
this still happens in fedora 11 as well

Note You need to log in before you can comment on or make changes to this bug.